Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006620TestLinkTest Plan Managementpublic2014-09-29 14:082017-01-30 08:39
Reporterprice-cz 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006620: Test Plan Management does not work
DescriptionTest Plan Management is not shown after click to "Test Plan Management".

The issue is reproduced in the testlink demo application: http://demo.testlink.org/latest/index.php [^] - Test Project "w:Atrak W".
Steps To ReproduceClick to Test Plan Management.
Additional InformationSame problem is in Test Projects "gm:Gmail", "0:qwerty"... in the testlink demo application: http://demo.testlink.org/latest/index.php [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox 32.0.3
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006534closedfman 1.9.12 DEV -- User with 'admin' rights cannot do Test Plan Management 
has duplicate 0006619closedfman Test Plan Management does not work 

-  Notes
(0021768)
hmah (reporter)
2014-09-29 17:01

Got this error when I click on Test plan management:
Fatal error: Call to a member function hasRight() on a non-object in D:\xampp\testlink\lib\plan\planView.php on line 68
(0021776)
fman (administrator)
2014-09-29 21:40

https://gitorious.org/testlink-ga/testlink-code/commit/2aa48a4dfa9206a9f044e767bb91b3a0001f7dac [^] [^]

- Issue History
Date Modified Username Field Change
2014-09-29 14:08 price-cz New Issue
2014-09-29 17:01 hmah Note Added: 0021768
2014-09-29 20:36 fman Relationship added has duplicate 0006619
2014-09-29 21:39 fman Relationship added related to 0006534
2014-09-29 21:40 fman Note Added: 0021776
2014-09-29 21:44 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-09-29 21:44 fman Status new => resolved
2014-09-29 21:44 fman Fixed in Version => 1.9.13 (2015 #1)
2014-09-29 21:44 fman Resolution open => fixed
2014-09-29 21:44 fman Assigned To => fman
2014-11-11 11:30 imraneo Note Added: 0022115
2014-11-11 13:03 fman Note Deleted: 0022115
2014-11-11 13:03 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker